import * as React from "react";
import { ICivilContext } from "../context";
export interface PaymentsWrapperProps {
    newsroomName: string;
    usdToSpend?: number;
    etherToSpend?: number;
    selectedUsdToSpend?: number;
    paymentAdjustedWarning?: boolean;
    paymentAdjustedEth?: boolean;
    paymentAdjustedStripe?: boolean;
    children: any;
    handleEditAmount?(): void;
    handleBack?(): void;
}
export declare class PaymentsWrapper extends React.Component<PaymentsWrapperProps> {
    static contextType: any;
    static context: ICivilContext;
    render(): JSX.Element;
    renderHeader(): JSX.Element;
    renderEmbedHeader(): JSX.Element;
    renderBoostAmount(): JSX.Element;
}
